%define ver 2.0.7
%define rel 25mdk

Summary: Samba SMB server.
Name: samba
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System/Servers
Source: ftp://samba.anu.edu.au/pub/samba/samba-%{version}.tar.bz2
Source1: samba.log
Source2: mount.smb
Source3: samba.xinetd
Source4: swat_48.xpm.bz2
Source5: swat_32.xpm.bz2
Source6: swat_16.xpm.bz2
Patch100: samba-j.patch.bz2
# For some reason this won't apply as part of the -j patch
Patch111: ookpatch.bz2
Patch200: samba-j-2.patch.bz2
Patch: samba-makefilepath.patch.bz2
Patch1: smbw.patch.bz2
Patch2: samba-glibc21.patch.bz2
Patch3: samba-2.0.7-fixinit.patch.bz2
Patch4: samba-nsl.patch.bz2
Patch5: samba-2.0.5a-gawk.patch.bz2
Patch6: smb.conf.intl_cups.patch.bz2
Patch7: swat.patch.bz2
Patch8:	samba-2.0.7-smbadduser_wo_relocation.patch.bz2
Patch9: samba-2.0.7-system-auth.patch.bz2
#Patch10: samba-2.0.7-ssl.patch.bz2
Patch11: samba-2.0.7-smbspool-guest.patch.bz2
Patch12: samba-2.0.7-buildroot.patch.bz2
Patch13: samba-2.0.7-smbpasswd-manpage.patch.bz2
Patch14: samba-2.0.7-pam-foo.patch.bz2
Patch15: smbmount-2.0.7-ascii+fixes.patch.bz2
Patch16: samba-mkdir.patch.bz2
Requires: pam >= 0.64, samba-common = %{version}
Prereq: xinetd
BuildRequires: pam-devel openssl-devel
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig /bin/mktemp /usr/bin/killall
Prereq: fileutils sed /bin/grep

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
uses NetBIOS over TCP/IP (NetBT) protocols and does NOT need NetBEUI
(Microsoft Raw NetBIOS frame) protocol.

Samba-2 features an almost working NT Domain Control capability and
includes the new SWAT (Samba Web Administration Tool) that allows
samba's smb.conf file to be remotely managed using your favourite web
browser. For the time being this is being enabled on TCP port 901 via
xinetd.

Please refer to the WHATSNEW.txt document for fixup information.  This
binary release includes encrypted password support.  Please read the
smb.conf file and ENCRYPTION.txt in the docs directory for
implementation details.

%package client
Summary: Samba (SMB) client programs.
Group: Networking/Other
Requires: samba-common = %{version}
Obsoletes: smbfs

%description client
Samba-client provides some SMB clients, which complement the built-in
SMB filesystem in Linux. These allow the accessing of SMB shares, and
printing to SMB printers.

%package common
Summary: Files used by both Samba servers and clients.
Group: System/Servers

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%prep
%setup -q
%patch100 -p1 -b .j
%patch111 -p1
%patch200 -p1 -b .j-2
%patch -p1 -b .paths
%patch1 -p1 -b .smbw
%patch2 -p1 -b .glibc21
%patch3 -p1 -b .fixinit
%patch4 -p1 -b .nsl
%patch5 -p1 -b .gawk
%patch6 -p1 -b .ori
%patch7 -p1 -b .book
%patch8 -p1 -b .roi
%patch9 -p1 -b .system-auth
#%patch10 -p1 -b .ssl
%patch11 -p0 -b .smbspool
%patch12 -p1 -b .buildroot
%patch13 -p1 -b .manpage
%patch14 -p1 -b .pam-foo
%patch15 -p1 -b .urban
%patch16 -p0 -b .mkdir

%build
%serverbuild
cd source
autoconf
CPPFLAGS="-I/usr/include/openssl"; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS"
%configure --prefix=/usr --libdir=/etc \
  --with-lockdir=/var/lock/samba --with-privatedir=/etc \
  --with-swatdir=/usr/share/swat --with-smbmount --with-automount --with-pam \
  --with-sambabook=/usr/share/swat/using_samba --with-mmap --with-quotas
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc/codepages/src
mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,pam.d,xinetd.d}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/share/swat/{images,help,include,using_samba}
mkdir -p $RPM_BUILD_ROOT/usr/share/swat/using_samba/{figs,gifs}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man5,man7,man8}
mkdir -p $RPM_BUILD_ROOT/var/lock/samba
mkdir -p $RPM_BUILD_ROOT/var/log/samba
mkdir -p $RPM_BUILD_ROOT/var/spool/samba
mkdir -p $RPM_BUILD_ROOT/home/netlogon

for i in nmblookup smbclient smbpasswd smbstatus testparm testprns \
    smbmount smbmnt smbumount make_smbcodepage make_unicodemap make_printerdef rpcclient smbspool
do
  install -m755 source/bin/$i $RPM_BUILD_ROOT/usr/bin
done

for i in addtosmbpass mksmbpasswd.sh smbtar convert_smbpasswd
do
  install -m755 source/script/$i $RPM_BUILD_ROOT/usr/bin
done

for i in smbd nmbd swat
do
  install -m755 source/bin/$i $RPM_BUILD_ROOT/usr/sbin
done

for i in smbclient.1 smbstatus.1 smbtar.1 testparm.1 testprns.1 make_smbcodepage.1 make_unicodemap.1 nmblookup.1
do
  install -m644 docs/manpages/$i $RPM_BUILD_ROOT/%{_mandir}/man1
done

for i in 437 737 850 852 861 866 932 936 949 950
do
  install -m644 source/codepages/codepage_def.$i $RPM_BUILD_ROOT/etc/codepages/src
done

for i in 437 737 850 852 861 866 932 936 949 950 ISO8859-1 ISO8859-2 ISO8859-5 ISO8859-7 KOI8-R
do
  install -m644 source/codepages/CP$i.TXT $RPM_BUILD_ROOT/etc/codepages/src
done

# Install SWAT helper files
for i in swat/help/*.html docs/htmldocs/*.html
do
install -m644 $i $RPM_BUILD_ROOT/usr/share/swat/help
done
for i in swat/images/*.gif
do
install -m644 $i $RPM_BUILD_ROOT/usr/share/swat/images
done
for i in swat/include/*.html
do
install -m644 $i $RPM_BUILD_ROOT/usr/share/swat/include
done

# Install USING SAMBA book
for i in docs/htmldocs/using_samba/*.html
	do
		install -m644 $i $RPM_BUILD_ROOT/usr/share/swat/using_samba
	done
for i in docs/htmldocs/using_samba/gifs/*.gif
	do
		install -m644 $i $RPM_BUILD_ROOT/usr/share/swat/using_samba/gifs
	done
for i in docs/htmldocs/using_samba/figs/*.gif
	do
		install -m644 $i $RPM_BUILD_ROOT/usr/share/swat/using_samba/figs
	done
# Install other stuff
install -m644 docs/manpages/smb.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5
install -m644 docs/manpages/lmhosts.5 $RPM_BUILD_ROOT/%{_mandir}/man5
install -m644 docs/manpages/smbpasswd.5 $RPM_BUILD_ROOT/%{_mandir}/man5
install -m644 docs/manpages/samba.7 $RPM_BUILD_ROOT/%{_mandir}/man7
install -m644 docs/manpages/smbmnt.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m644 docs/manpages/smbmount.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m644 docs/manpages/smbumount.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m644 docs/manpages/smbd.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m644 docs/manpages/nmbd.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m644 docs/manpages/swat.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m644 docs/manpages/smbpasswd.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m644 packaging/RedHat/smb.conf $RPM_BUILD_ROOT/etc/smb.conf
install -m644 packaging/RedHat/smbusers $RPM_BUILD_ROOT/etc/smbusers
install -m755 packaging/RedHat/smbprint $RPM_BUILD_ROOT/usr/bin
install -m755 packaging/RedHat/smbadduser $RPM_BUILD_ROOT/usr/bin
install -m755 packaging/RedHat/findsmb $RPM_BUILD_ROOT/usr/bin
install -m755 packaging/RedHat/smb.init $RPM_BUILD_ROOT/etc/rc.d/init.d/smb
install -m755 packaging/RedHat/smb.init $RPM_BUILD_ROOT/usr/sbin/samba
install -m644 packaging/RedHat/samba.pamd $RPM_BUILD_ROOT/etc/pam.d/samba
install -m644 $RPM_SOURCE_DIR/samba.log $RPM_BUILD_ROOT/etc/logrotate.d/samba
ln -s /usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
ln -s /usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/etc/lmhosts

# Link smbspool to CUPS (does not require installed CUPS)
install -d $RPM_BUILD_ROOT/usr/lib/cups/backend
ln -s /usr/bin/smbspool $RPM_BUILD_ROOT/usr/lib/cups/backend/smb

# xinetd support
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/xinetd.d/swat

# menu support
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):command="gnome-moz-remote http://localhost:901/" needs="gnome" \
icon="swat.xpm" section="Configuration/Networking" title="Samba Configuration" \
longtitle="The Swat Samba Administration Tool"
?package(%{name}):command="sh -c '\$BROWSER http://localhost:901/'" needs="x11" \
icon="swat.xpm" section="Configuration/Networking" title="Samba Configuration" \
longtitle="The Swat Samba Administration Tool"
EOF

mkdir -p $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir}

bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_liconsdir}/swat.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_iconsdir}/swat.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_miconsdir}/swat.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post common
# Build codepage load files
for i in 437 737 850 852 861 866 932 936 949 950; do
  /usr/bin/make_smbcodepage c $i /etc/codepages/src/codepage_def.$i /etc/codepages/codepage.$i
done

# Build unicode load files
for i in 437 737 850 852 861 866 932 936 949 950 ISO8859-1 ISO8859-2 ISO8859-5 ISO8859-7 KOI8-R; do
  /usr/bin/make_unicodemap $i /etc/codepages/src/CP$i.TXT /etc/codepages/unicode_map.$i
done

%post
%_post_service smb

if [ -f /var/lock/subsys/xinetd ]; then
  service xinetd reload >/dev/null 2>&1 || :
fi

%update_menus

%preun
%_preun_service smb
if [ $1 = 0 ] ; then

    if [ -e /var/lock/samba/browse.dat ]; then
            rm -f /var/lock/samba/browse.dat
    fi
    if [ -e /var/lock/samba/wins.dat ]; then
            rm -f /var/lock/samba/wins.dat
    fi
    if [ -d /var/log/samba ]; then
      rm -rf /var/log/samba/*
    fi
    if [ -d /var/lock/samba ]; then
      rm -rf /var/lock/samba/*
    fi
fi

%preun common
if [ $1 = 0 ] ; then
    for n in /etc/codepages/*; do
	if [ "$n" != "/etc/codepages/src" ]; then
	    rm -rf $n
	fi
    done
fi


%postun
if [ $1 = 0 -a -f /etc/inetd.conf ] ; then
    # Remove swat entries from /etc/inetd.conf and /etc/services
#    tmpfile="`/bin/mktemp /etc/tmp.XXXXXX`"
#    sed -e '/^[:space:]*swat.*$/d' /etc/inetd.conf > $tmpfile
#    cp $tmpfile /etc/inetd.conf
#    sed -e '/^[:space:]*swat.*$/d' /etc/services > $tmpfile
#    cp $tmpfile /etc/services
#    rm -f $tmpfile
	perl -ni -e 'print unless (/^swat\W+/ || /^#swat\W+/)' /etc/inetd.conf
	perl -ni -e 'print unless /^swat\W+/' /etc/services
    service xinetd reload &>/dev/null || :
fi
%clean_menus

%triggerpostun -- samba < 1.9.18p7
if [ $1 != 0 ]; then
    /sbin/chkconfig --add smb
fi

%triggerpostun -- samba < 2.0.5a-3, samba >= 2.0.0
if [ $1 != 0 ]; then
    [ ! -d /var/lock/samba ] && mkdir -m 0755 /var/lock/samba
	[ ! -d /var/spool/samba ] && mkdir -m 1777 /var/spool/samba
	[ -f /etc/inetd.conf ] && chmod 644 /etc/services /etc/inetd.conf
fi

%files
%defattr(-,root,root)
%doc README COPYING Manifest Read-Manifest-Now
%doc WHATSNEW.txt Roadmap
%doc docs
%doc examples
%config(noreplace) /etc/xinetd.d/swat
%{_menudir}/%{name}
%{_miconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_iconsdir}/*.xpm
/usr/sbin/samba
/usr/sbin/smbd
/usr/sbin/nmbd
/usr/sbin/swat
/usr/bin/addtosmbpass
/usr/bin/mksmbpasswd.sh
/usr/bin/smbstatus
/usr/bin/smbpasswd
/usr/bin/convert_smbpasswd
/usr/bin/smbadduser
/usr/share/swat
%config(noreplace) /etc/smbusers
%config(noreplace) /etc/rc.d/init.d/smb
%config(noreplace) /etc/logrotate.d/samba
%config(noreplace) /etc/pam.d/samba
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/swat.8*

%attr(775,root,root)   %dir /home/netlogon
%dir /var/lock/samba
%dir /var/log/samba
%attr(1777,root,root)	%dir /var/spool/samba

%files client
%defattr(-,root,root)
%ifnarch alpha
/sbin/mount.smb
/sbin/mount.smbfs
/usr/bin/smbmount
/usr/bin/smbmnt
/usr/bin/smbumount
/%{_mandir}/man8/smbmnt.8*
/%{_mandir}/man8/smbmount.8*
/%{_mandir}/man8/smbumount.8*
%endif
/usr/bin/nmblookup
/usr/bin/findsmb
/usr/bin/smbclient
/usr/bin/smbprint
/usr/bin/smbtar
/usr/bin/smbspool
# Link of smbspool to CUPS
/usr/lib/cups/backend/smb
/%{_mandir}/man1/smbtar.1*
/%{_mandir}/man1/smbclient.1*
/%{_mandir}/man1/nmblookup.1*

%files common
%defattr(-,root,root)
/usr/bin/make_smbcodepage
/usr/bin/make_unicodemap
/usr/bin/testparm
/usr/bin/testprns
/usr/bin/make_printerdef
%config(noreplace) /etc/smb.conf
%config(noreplace) /etc/lmhosts
%dir /etc/codepages
%dir /etc/codepages/src
/etc/codepages/src/codepage_def.437
/etc/codepages/src/codepage_def.737
/etc/codepages/src/codepage_def.850
/etc/codepages/src/codepage_def.852
/etc/codepages/src/codepage_def.861
/etc/codepages/src/codepage_def.866
/etc/codepages/src/codepage_def.932
/etc/codepages/src/codepage_def.936
/etc/codepages/src/codepage_def.949
/etc/codepages/src/codepage_def.950
/etc/codepages/src/CP437.TXT
/etc/codepages/src/CP737.TXT
/etc/codepages/src/CP850.TXT
/etc/codepages/src/CP852.TXT
/etc/codepages/src/CP861.TXT
/etc/codepages/src/CP866.TXT
/etc/codepages/src/CP932.TXT
/etc/codepages/src/CP936.TXT
/etc/codepages/src/CP949.TXT
/etc/codepages/src/CP950.TXT
/etc/codepages/src/CPISO8859-1.TXT
/etc/codepages/src/CPISO8859-2.TXT
/etc/codepages/src/CPISO8859-5.TXT
/etc/codepages/src/CPISO8859-7.TXT
/etc/codepages/src/CPKOI8-R.TXT
/%{_mandir}/man1/make_smbcodepage.1*
/%{_mandir}/man1/make_unicodemap.1*
/%{_mandir}/man1/testparm.1*
/%{_mandir}/man1/testprns.1*
/%{_mandir}/man5/smb.conf.5*
/%{_mandir}/man5/lmhosts.5*

%changelog
* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-25mdk
- Fix menu entry and provide separate menu entry for GNOME 
  (nautilus doesn't support HTTP authentication yet)
- Add icons in package

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7-24mdk
- use new server macros

* Wed Mar 21 2001 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-23mdk
- check whether /etc/inetd.conf exists (upgrade) or not (fresh install).

* Thu Mar 15 2001 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-22mdk
- spec cosmetics, added '-r' option to lpr-cups command line so files are 
  removed from /var/spool/samba after printing.

* Tue Mar 06 2001 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-21mdk
- merged last rh patches.

* Thu Nov 23 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-20mdk
- removed dependencies on cups and cups-devel so one can install samba without using cups
- added /home/netlogon

* Mon Nov 20 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-19mdk
- Changed default print command in /etc/smb.conf, so that the Windows 
  driver of the printer has to be used on the client.
- Fixed bug in smbspool which prevented from printing from a 
  Linux-Samba-CUPS client to a Windows server through the guest account.

* Mon Oct 16 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-18mdk
- Moved "smbspool" (Samba client of CUPS) to the samba-client package

* Sat Oct 7 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.0.7-17mdk
- Added RedHat's "quota" patch to samba-glibc21.patch.bz2, this fixes 
  quota related compile problems on the alpha.

* Wed Oct 4 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-16mdk
- Fixed 'guest ok = ok' flag in smb.conf

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-15mdk
- Allowed guest account to print in smb.conf
- added swat icon in menu

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-14mdk
- Removed rh ssl patch and --with-ssl flag: not appropriate for 7.2

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-13mdk
- Changed fixinit patch.
- Changed smb.conf for better CUPS configuration.
- Thanks Fred for doing this ---vvv.

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7-12mdk
- menu entry for web configuration tool.
- merge with rh: xinetd + ssl + pam_stack.
- Added smbadduser rh-bugfix w/o relocation of config-files.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7-11mdk
- added build requires on cups-devel and pam-devel.

* Mon Oct  2 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-10mdk
- Fixed smb.conf entry for CUPS: "printcap name = lpstat", "lpstats" was
  wrong.

* Mon Sep 25 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-9mdk
- Cosmetic changes to make rpmlint more happy

* Wed Sep 11 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-8mdk
- added linkage to the using_samba book in swat

* Fri Sep 01 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-7mdk
- Added CUPS support to smb.conf
- Added internationalization options to smb.conf [Global]

* Wed Aug 30 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-6mdk
- Put "smbspool" to the files to install

* Wed Aug 30 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-5mdk
- Did some cleaning in the patches

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-4mdk
- relocated man pages from /usr/man to /usr/share/man for compatibility reasons

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-3mdk
- added make_unicodemap and build of unicode_map.$i in the spec file

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-2mdk
- renamed /etc/codepage/codepage.$i into /etc/codepage/unicode_map.$i to fix smbmount bug.

* Fri Jul 07 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0.6-4mdk

- Titi sucks, does not put versions in changelog
- Fixed groups for -common and -client
- /usr/sbin/samba is no config file

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix buggy post install script (pixel)

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com> 2.0.6-2mdk

- Changed group according to 7.1 specs
- Some spec file changes
- Let spec-helper do its job

* Thu Nov 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh changes.
- Split in 3 packages.

* Fri Aug 13 1999 Pablo Saratxaga <pablo@@mandrakesoft.com>
- corrected a bug with %post (the $1 parameter is "1" in case of
  a first install, not "0". That parameter is the number of packages
  of the same name that will exist after running all the steps if nothing
  is removed; so it is "1" after first isntall, "2" for a second install
  or an upgrade, and "0" for a removal)

* Wed Jul 28 1999 Pablo Saratxaga <pablo@@mandrakesoft.com>
- made smbmnt and smbumount suid root, and only executable by group 'smb'
  add to 'smb' group any user that should be allowed to mount/unmount
  SMB shared directories

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.5a (bug security fix).

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 2.0.5
- cs/da/de/fi/fr/it/tr descriptions/summaries

* Sun Jun 13 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.0.4b
- recompile on a system that works ;)

* Wed Apr 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Bzip2 man-pages.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently do not work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map
